//+------------------------------------------------------------------+
//|                                          Hedge Order Command.mq4 |
//|                              Copyright  2009, TradingSytemForex |
//|                                http://www.tradingsystemforex.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TradingSytemForex"
#property link "http://www.tradingsystemforex.com"

extern double Lots=0.1;
extern int StopLoss=0;
extern int TakeProfit=0;

//+------------------------------------------------------------------+

void start() 
{
   double SL,TP;
   int i,Total;
   int Dig=MarketInfo(Symbol(),MODE_DIGITS);     

//+------------------------------------------------------------------+

  Total=OrdersTotal();
  if(Total<2)
  {
     for(i=Total-1; i>=0; i--) 
     {
        if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES)==true) 
        {
           if(OrderSymbol()==Symbol() && OrderType()==OP_SELL) 
           {
              if(StopLoss>0)SL=Ask-StopLoss*Point;
              if(TakeProfit>0)TP=Ask+TakeProfit*Point;
              OrderSend(Symbol(),OP_BUY,Lots,Ask,3,SL,TP,"Hedge Order",0,0,Blue);
           }
           if(OrderSymbol()==Symbol() && OrderType()==OP_BUY) 
           {
              if(StopLoss>0)SL=Bid+StopLoss*Point;
              if(TakeProfit>0)TP=Bid-TakeProfit*Point;
              OrderSend(Symbol(),OP_SELL,Lots,Bid,3,SL,TP,"Hedge Order",0,0,Red);
           }
        }
     }
  }
}

//+------------------------------------------------------------------+

